Subject: Re: [PATCH 0/3] gitweb: Improving blame_incremental.js

From: Jakub Narebski <[email-masked]>
Date: Fri, 27 May 2011 16:04:38 +0200

Jakub Narebski wrote:

> Two first patches remove unnecessary code from JavaScript-side of
> blame_incremental code. [...]
> 
> So those two are pure simplification.
> 
> 
> The third (last) patch replaces setInterval (where events might
> accumulate if browser is very busy) to recommended re-enabled
> setTimeout.  [...]
> 
> This one adds more code than it removes, and could be split into two
> patches: [...]

I forgot to add that this series is based on top of jn/gitweb-js
series, namely it theoretically require "gitweb: Split JavaScript for
maintability, combining on build"... but thanks to Git rename detection
it should [had] apply on top of master as well.

-- 
Jakub Narebski
Poland